Description

The attached patch adds links to the detailed Wiki formatting help in Quick Reference.

Currently, there is only one link to the detailed help in Quick Reference. The link is placed at the bottom of the page, so it is not
prominent. Some users don't know that they can read the detailed help.

This patch improves the accessibility to the detailed help by adding a link on each section header in Quick Reference. The user is
navigated to the corresponding section in the detailed help when they click the link.

Links in Quick Reference. You can find "more" in the section title:
link-in-quick-ref@2x.png

For example, when you click "more" next to "Font style", you will be navigated to "Text formatting" section in the detailed
help:

Text formatting

For things such as headlines, bold, tables, lists, Redmine sup
information on using any of these features. A few samples a

Font style
_italic_

_*bold italic*_
+underline+
-strike-through-
Display:
Associated revisions

Revision 18571 - 2019-09-30 15:28 - Go MAEDA
Add links to the detailed Wiki formatting help in Quick Reference (#32169).

Patch by Go MAEDA.

Revision 18572 - 2019-09-30 15:31 - Go MAEDA
Fix wrong markup in public/help/ja/wiki_syntax_detailed_(markdown|textile).html (#32169).

Patch by Go MAEDA.

Revision 18625 - 2019-10-08 14:54 - Go MAEDA

Fix wong link destinations in wiki_syntax_markdown.html (#32169).

History

#1 - 2019-09-30 00:26 - Go MAEDA
- Assignee set to Go MAEDA
- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#2 - 2019-09-30 15:31 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Committed the patch.

#3 - 2019-10-08 09:35 - Mizuki ISHIKAWA

The link of a.more_info of wiki_syntax_markdown.html is wiki_syntax_detailed_textile.html.

| think it should be wiki_syntax_detailed_markdown.html.

#4 - 2019-10-08 09:42 - Go MAEDA
- File fix-link-destination.diff added

- Status changed from Closed to Reopened

#5 - 2019-10-08 14:54 - Go MAEDA

- Status changed from Reopened to Closed

Mizuki ISHIKAWA wrote:

The link of a.more_info of wiki_syntax_markdown.html is wiki_syntax_detailed_textile.html.

| think it should be wiki_syntax_detailed_markdown.html.

Fixed in r18625. Thank you.
